Subject: Re: [PATCH 2/6] powerpc: Add enable_ppr kernel parameter to enable PPR save/restore

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 11 Sep 2012 15:55:11 +1000

On Mon, 2012-09-10 at 22:42 -0700, Haren Myneni wrote:
> 
> Thanks Michael. Yes, we noticed 6% overhead with null syscall test.
> Hence added cmdline option as suggested. I will add this comment in
> the
> changelog.
> 
> Regarding the option name, I thought about various ones such as
> retain_process_ppr, retain_smt_priority, save_ppr and etc. Finally
> added
> 'enable_ppr' since it enables CPU_FTR (CPU_FTR_HAS_PPR) which allows
> to
> save/restore PPR value. Sure, I will change this option.

No, that isn't a problem with the name. It's a problem with the polarity
of the option.

If you need a command line argument to enable the option, then nobody
will enable it, it's pointless.

Cheers,
Ben.